All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::FaceRenderer Class Referenceabstract

`#include <faceRenderer.hpp>`

Inherited by op::FaceCpuRenderer, and op::FaceGpuRenderer.

## Public Member Functions

virtual | ~FaceRenderer ()
virtual void | initializationOnThread ()
void | renderFace (Array< float > &outputData, const Array< float > &faceKeypoints, const float scaleInputToOutput)

## Constructor & Destructor Documentation

virtual op::FaceRenderer::~FaceRenderer | ( |  | ) |

inlinevirtual

## Member Function Documentation

virtual void op::FaceRenderer::initializationOnThread | ( |  | ) |

inlinevirtual

Reimplemented in op::FaceGpuRenderer.

void op::FaceRenderer::renderFace | ( | Array< float > & | outputData,
|  | const Array< float > & | faceKeypoints,
|  | const float | scaleInputToOutput
| ) |  |

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/face/faceRenderer.hpp